Difference between revisions of "Hoffman2:Software Tools: FMRIprep"

From Center for Cognitive Neuroscience
Jump to: navigation, search
(Created page with "For using FMRIprep, please load the following pre-requisite modules as well module load fsl/5.0.9 module load python/3.7.2 module load freesurfer/6.0.0 module load ants/ants-...")
 
 
(8 intermediate revisions by the same user not shown)
Line 1: Line 1:
For using FMRIprep, please load the following pre-requisite modules as well
 
  
module load fsl/5.0.9
+
FMRIPrep: A Robust Preprocessing Pipeline for fMRI Data
module load python/3.7.2
+
 
module load freesurfer/6.0.0
+
[https://fmriprep.org/en/stable/ Official Website]
module load ants/ants-2.2.0
+
 
module load afni/19.0.15
+
[https://fmriprep.org/en/stable/usage.html Fmriprep Command Line Usage]
module load ica-aroma
+
 
module load itksnap/3.6.0-RC1.QT4
+
For using FMRIprep module in Hoffman, the following modules are needed as well
 +
(This example is for FMRIprep version '''1.4.0''')
 +
 
 +
module load fsl/5.0.9
 +
module load python/3.7.2
 +
module load freesurfer/6.0.0
 +
module load ants/ants-2.2.0
 +
module load afni/19.0.15
 +
module load ica-aroma
 +
module load itksnap/3.6.0-RC1.QT4
 +
 +
export PATH=/u/project/CCN/apps/c3d/c3d-1.0.0-Linux-x86_64/bin/:$PATH
 +
export NO_FSL_JOBS=true
 +
 
 +
To find all FMRIprep version in Hoffman
 +
 
 +
module av fmriprep
 +
 
 +
To load FMRIprep module
 +
 
 +
module load fmriprep/1.4.0
 +
 
 +
To get fmriprep command line help, run command
 +
 
 +
fmriprep -h
 +
 
 +
(You should run FMRIprep with a interactive mode or a batch mode in Hoffman)
 +
 
 +
Note on 7/16/2020:
 +
For the newest version fmriprep/20.1.1, python module version needs to be python/3.7.0

Latest revision as of 21:52, 15 July 2020

FMRIPrep: A Robust Preprocessing Pipeline for fMRI Data

Official Website

Fmriprep Command Line Usage

For using FMRIprep module in Hoffman, the following modules are needed as well (This example is for FMRIprep version 1.4.0)

module load fsl/5.0.9
module load python/3.7.2
module load freesurfer/6.0.0
module load ants/ants-2.2.0
module load afni/19.0.15
module load ica-aroma
module load itksnap/3.6.0-RC1.QT4

export PATH=/u/project/CCN/apps/c3d/c3d-1.0.0-Linux-x86_64/bin/:$PATH
export NO_FSL_JOBS=true

To find all FMRIprep version in Hoffman

module av fmriprep

To load FMRIprep module

module load fmriprep/1.4.0

To get fmriprep command line help, run command

fmriprep -h

(You should run FMRIprep with a interactive mode or a batch mode in Hoffman)

Note on 7/16/2020: For the newest version fmriprep/20.1.1, python module version needs to be python/3.7.0